Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Interface JavaCompiler

All Known Implementing Classes:
  JikesJavaCompiler, SunJavaCompiler

public interface JavaCompiler

If you want to plugin your own Java compiler, you probably want to write a class that implements this interface.

Author:
  Anil K. Vijendran, Sam Ruby

Method Summary
`boolean` | `compile(java.lang.String source)` Execute the compiler
`void` | `setClasspath(java.lang.String classpath)` Set the class path for the compiler
`void` | `setCompilerPath(java.lang.String compilerPath)` Specify where the compiler can be found
`void` | `setEncoding(java.lang.String encoding)` Set the encoding (character set) of the source
`void` | `setMsgOutput(java.io.OutputStream out)` Set where you want the compiler output (messages) to go
`void` | `setOutputDir(java.lang.String outdir)` Set the output directory

Method Detail

### setCompilerPath

    public void setCompilerPath(java.lang.String compilerPath)

  Specify where the compiler can be found

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Set the encoding (character set) of the source

### setClasspath

    public void setClasspath(java.lang.String classpath)

  Set the class path for the compiler

### setOutputDir

    public void setOutputDir(java.lang.String outdir)

  Set the output directory

### setMsgOutput

    public void setMsgOutput(java.io.OutputStream out)

  Set where you want the compiler output (messages) to go

### compile

    public boolean compile(java.lang.String source)

  Execute the compiler
  Parameters:
    `source` - - file name of the source to be compiled

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.